uniform sampler2D inputImageTexture;
uniform highp vec2 singleStepOffset;
uniform highp int level;

varying highp vec2 textureCoordinate;
varying highp vec2 blurCoordinates[15];

void main()
{
    lowp vec4 sum = vec4(0.0);

    if (level == 0)
    {
		sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.133571;
		sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.233308;
		sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.233308;
	    sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.135928;
		sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.135928;
		sum += texture2D(inputImageTexture, blurCoordinates[5]) * 0.051383;
		sum += texture2D(inputImageTexture, blurCoordinates[6]) * 0.051383;
		sum += texture2D(inputImageTexture, blurCoordinates[7]) * 0.012595;
		sum += texture2D(inputImageTexture, blurCoordinates[8]) * 0.012595;

        gl_FragColor = sum;
    }
    else if (level == 1)
    {
        sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.100590;
        sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.186265;
        sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.186265;
        sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.136940;
        sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.136940;
        sum += texture2D(inputImageTexture, blurCoordinates[5]) * 0.078710;
        sum += texture2D(inputImageTexture, blurCoordinates[6]) * 0.078710;
        sum += texture2D(inputImageTexture, blurCoordinates[7]) * 0.035367;
        sum += texture2D(inputImageTexture, blurCoordinates[8]) * 0.035367;
        sum += texture2D(inputImageTexture, blurCoordinates[9]) * 0.012422;
        sum += texture2D(inputImageTexture, blurCoordinates[10]) * 0.012422;

        gl_FragColor = sum;
    }
    else if (level == 2)
    {
        sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.067540;
        sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.130499;
        sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.130499;
        sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.113686;
        sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.113686;
        sum += texture2D(inputImageTexture, blurCoordinates[5]) * 0.088692;
        sum += texture2D(inputImageTexture, blurCoordinates[6]) * 0.088692;
        sum += texture2D(inputImageTexture, blurCoordinates[7]) * 0.061965;
        sum += texture2D(inputImageTexture, blurCoordinates[8]) * 0.061965;
        sum += texture2D(inputImageTexture, blurCoordinates[9]) * 0.038768;
        sum += texture2D(inputImageTexture, blurCoordinates[10]) * 0.038768;
        sum += texture2D(inputImageTexture, blurCoordinates[11]) * 0.021721;
        sum += texture2D(inputImageTexture, blurCoordinates[12]) * 0.021721;
        sum += texture2D(inputImageTexture, blurCoordinates[13]) * 0.010898;
        sum += texture2D(inputImageTexture, blurCoordinates[14]) * 0.010898;

         gl_FragColor = sum;
    }
    else if (level == 3)
    {
        sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.050920;
        sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.099877;
sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.099877;
sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.092400;
sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.092400;
sum += texture2D(inputImageTexture, blurCoordinates[5]) * 0.080322;
sum += texture2D(inputImageTexture, blurCoordinates[6]) * 0.080322;
sum += texture2D(inputImageTexture, blurCoordinates[7]) * 0.065609;
sum += texture2D(inputImageTexture, blurCoordinates[8]) * 0.065609;
sum += texture2D(inputImageTexture, blurCoordinates[9]) * 0.050356;
sum += texture2D(inputImageTexture, blurCoordinates[10]) * 0.050356;
sum += texture2D(inputImageTexture, blurCoordinates[11]) * 0.036317;
sum += texture2D(inputImageTexture, blurCoordinates[12]) * 0.036317;
sum += texture2D(inputImageTexture, blurCoordinates[13]) * 0.024611;
sum += texture2D(inputImageTexture, blurCoordinates[14]) * 0.024611;
sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 15.439748) * 0.015671;
sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 15.439748) * 0.015671;
sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 17.432064) * 0.009376;
sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 17.432064) * 0.009376;

         gl_FragColor = sum;
    }
    else if (level == 4)
    {
        sum += texture2D(inputImageTexture, blurCoordinates[0]) * 0.040892;
        sum += texture2D(inputImageTexture, blurCoordinates[1]) * 0.080769;
        sum += texture2D(inputImageTexture, blurCoordinates[2]) * 0.080769;
        sum += texture2D(inputImageTexture, blurCoordinates[3]) * 0.076840;
        sum += texture2D(inputImageTexture, blurCoordinates[4]) * 0.076840;
        sum += texture2D(inputImageTexture, blurCoordinates[5]) * 0.070242;
        sum += texture2D(inputImageTexture, blurCoordinates[6]) * 0.070242;
        sum += texture2D(inputImageTexture, blurCoordinates[7]) * 0.061699;
        sum += texture2D(inputImageTexture, blurCoordinates[8]) * 0.061699;
        sum += texture2D(inputImageTexture, blurCoordinates[9]) * 0.052076;
        sum += texture2D(inputImageTexture, blurCoordinates[10]) * 0.052076;
        sum += texture2D(inputImageTexture, blurCoordinates[11]) * 0.042234;
        sum += texture2D(inputImageTexture, blurCoordinates[12]) * 0.042234;
        sum += texture2D(inputImageTexture, blurCoordinates[13]) * 0.032912;
        sum += texture2D(inputImageTexture, blurCoordinates[14]) * 0.032912;
        sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 15.461327) * 0.024645;
        sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 15.461327) * 0.024645;
        sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 17.456362) * 0.017732;
        sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 17.456362) * 0.017732;
        sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 19.451405) * 0.012260;
        sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 19.451405) * 0.012260;
        sum += texture2D(inputImageTexture, blurCoordinates[0] + singleStepOffset * 21.446457) * 0.008144;
        sum += texture2D(inputImageTexture, blurCoordinates[0] - singleStepOffset * 21.446457) * 0.008144;

   	    gl_FragColor = sum;
   	}
}
