attribute vec4 position;
attribute vec4 inputTextureCoordinate;

uniform vec2 singleStepOffset;
uniform int level;

varying vec2 textureCoordinate;
varying vec2 blurCoordinates[15];

void main()
{
	gl_Position = position;
	textureCoordinate = inputTextureCoordinate.xy;

    // Calculate the positions for the blur
    if (level == 0)
    {
		blurCoordinates[0] = inputTextureCoordinate.xy;
        blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset * 1.458430;
        blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset * 1.458430;
        blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 3.403985;
        blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 3.403985;
        blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 5.351806;
        blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 5.351806;
        blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 7.302940;
        blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 7.302940;
    }
    if (level == 1)
    {
         blurCoordinates[0] = inputTextureCoordinate.xy;
         blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset * 1.476580;
         blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset * 1.476580;
         blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 3.445529;
         blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 3.445529;
         blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 5.414899;
         blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 5.414899;
         blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 7.384912;
         blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 7.384912;
         blurCoordinates[9] = inputTextureCoordinate.xy + singleStepOffset * 9.355775;
         blurCoordinates[10] = inputTextureCoordinate.xy - singleStepOffset * 9.355775;
    }
    else if (level == 2)
    {
        blurCoordinates[0] = inputTextureCoordinate.xy;
        blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset * 1.489585;
        blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset * 1.489585;
        blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 3.475713;
        blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 3.475713;
        blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 5.461879;
        blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 5.461879;
        blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 7.448104;
        blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 7.448104;
        blurCoordinates[9] = inputTextureCoordinate.xy + singleStepOffset * 9.434408;
        blurCoordinates[10] = inputTextureCoordinate.xy - singleStepOffset * 9.434408;
        blurCoordinates[11] = inputTextureCoordinate.xy + singleStepOffset * 11.420812;
        blurCoordinates[12] = inputTextureCoordinate.xy - singleStepOffset * 11.420812;
        blurCoordinates[13] = inputTextureCoordinate.xy + singleStepOffset * 13.407332;
        blurCoordinates[14] = inputTextureCoordinate.xy - singleStepOffset * 13.407332;
    }
    else if (level == 3)
    {
        blurCoordinates[0] = inputTextureCoordinate.xy;
        blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset * 1.494141;
             blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset * 1.494141;
             blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 3.486331;
             blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 3.486331;
             blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 5.478528;
             blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 5.478528;
             blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 7.470737;
             blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 7.470737;
             blurCoordinates[9] = inputTextureCoordinate.xy + singleStepOffset * 9.462959;
             blurCoordinates[10] = inputTextureCoordinate.xy - singleStepOffset * 9.462959;
             blurCoordinates[11] = inputTextureCoordinate.xy + singleStepOffset * 11.455199;
             blurCoordinates[12] = inputTextureCoordinate.xy - singleStepOffset * 11.455199;
             blurCoordinates[13] = inputTextureCoordinate.xy + singleStepOffset * 13.447460;
             blurCoordinates[14] = inputTextureCoordinate.xy - singleStepOffset * 13.447460;
    }
    else if (level == 4)
    {
        blurCoordinates[0] = inputTextureCoordinate.xy;
        blurCoordinates[1] = inputTextureCoordinate.xy + singleStepOffset * 1.496250;
        blurCoordinates[2] = inputTextureCoordinate.xy - singleStepOffset * 1.496250;
        blurCoordinates[3] = inputTextureCoordinate.xy + singleStepOffset * 3.491251;
        blurCoordinates[4] = inputTextureCoordinate.xy - singleStepOffset * 3.491251;
        blurCoordinates[5] = inputTextureCoordinate.xy + singleStepOffset * 5.486253;
        blurCoordinates[6] = inputTextureCoordinate.xy - singleStepOffset * 5.486253;
        blurCoordinates[7] = inputTextureCoordinate.xy + singleStepOffset * 7.481259;
        blurCoordinates[8] = inputTextureCoordinate.xy - singleStepOffset * 7.481259;
        blurCoordinates[9] = inputTextureCoordinate.xy + singleStepOffset * 9.476268;
        blurCoordinates[10] = inputTextureCoordinate.xy - singleStepOffset * 9.476268;
        blurCoordinates[11] = inputTextureCoordinate.xy + singleStepOffset * 11.471281;
        blurCoordinates[12] = inputTextureCoordinate.xy - singleStepOffset * 11.471281;
        blurCoordinates[13] = inputTextureCoordinate.xy + singleStepOffset * 13.466302;
        blurCoordinates[14] = inputTextureCoordinate.xy - singleStepOffset * 13.466302;
    }
}